Subject: Re: CCL:parallel g98 on AMD?

From: Krzysztof Radacki <[email-masked]>
Date: Wed, 03 Oct 2001 08:57:41 +0100

Hi,

it looks so that your computer does not see shared memmory in ammount
you requested with %MEM.
Have you tried to calculate some small job like H2 with %MEM=10MB
%PROC=2?
If it complete successfully nearly sure that that the reason and you
should add to your 
system-starting scripts some were how much memory should be shared.
In case of RedHat I sugesst to add as last line in /etc/rc.d/rc.local
f.e for 1Gb computer
echo 955306300 > /proc/sys/kernel/shmmax
It should solve your problem.

MfG
K.Radacki

Gerardo Andres Cisneros wrote:
> 
> Hello
> 
> I've managed to compile and run g98 on an AMD platform using the blas
> libraries for intel (recomended by gaussian).  However this machine is
> dual processor but every time I try to run the same job in parallel I get
> the following error message:
> 
> %g98 tim0_2pAMD
> shmget failed.: Invalid argument
> 
> I have no problem running this job using a single processor.
> 
> I haven't installed Linda on this machine but since it's dual processor I
> don't see the need for it, or should I?.
> 
> Thanks in advance,
> 
> Andres
> 
> --
> G. Andres Cisneros
> Department of Chemistry
> Duke University
> [email-masked]